Target version: 4.2.0   

Resolution: Fixed   

Description

currently, there is no means to see updated_on and passwd_changed_on columns of users table. However, those timestamps are

useful or necessary for admins or information security managers.

I think an easy way to make the timestamps visible is to include them when exporting users to CSV. It is easy to implement because

there is any impact on the user interface.

Related issues:

Related to Redmine - Feature #33592: Include updated_on and passwd_changed_on... Closed

Associated revisions

Revision 19740 - 2020-05-02 05:03 - Go MAEDA

Include updated_on and passwd_changed_on columns when exporting users to CSV (#33347).

Patch by Mizuki ISHIKAWA.

Revision 19741 - 2020-05-02 05:04 - Go MAEDA

Update locales (#33347).

History

#1 - 2020-04-28 07:00 - Mizuki ISHIKAWA

- File 31198.patch added

I have attached a patch to add columns.

#2 - 2020-04-28 07:23 - Mizuki ISHIKAWA

- File 31198-v2.patch added

It was fixed because the test was incorrect.

#3 - 2020-04-28 08:02 - Go MAEDA

- File deleted (31198.patch)

#4 - 2020-04-28 09:54 - Mizuki ISHIKAWA

- File 31198-v3.patch added

Fixed because the test sometimes failed due to time zone.

#5 - 2020-04-28 10:24 - Go MAEDA

- File deleted (31198-v2.patch)

#6 - 2020-04-28 10:24 - Go MAEDA

- Target version set to Candidate for next major release

#7 - 2020-04-29 07:18 - Go MAEDA

- File 33347-v4.patch added
- Target version changed from Candidate for next major release to 4.2.0

I have slightly updated the patch as follows.

Move the "Updated" column to after the "Created" column. This order is consistent with several REST API

Change the translation for passwd_changed_on from "Last password change on" to "Password last changed"

Setting the target version to 4.2.0.

#8 - 2020-05-02 05:04 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for adding the feature.

#9 - 2020-05-02 06:19 - Go MAEDA

- Subject changed from Export updated_on and passwd_changed_on fields as well when exporting users to CSV to Include updated_on and

passwd_changed_on columns when exporting users to CSV

#10 - 2020-06-14 15:41 - Go MAEDA

- Related to Feature #33592: Include updated_on and passwd_changed_on columns in users API response added

Files

31198-v3.patch 1.79 KB 2020-04-28 Mizuki ISHIKAWA

33347-v4.patch 1.76 KB 2020-04-29 Go MAEDA
